Bug 1841581 - Changes to prepender result in no resolv.conf
Summary: Changes to prepender result in no resolv.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.0
Assignee: Beth White
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-29 13:52 UTC by Stephen Benjamin
Modified: 2020-07-13 17:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:42:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1765 0 None closed Bug 1841581: Ensure resolv.conf is in place in prepender before running podman 2020-08-19 12:04:23 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:42:55 UTC

Description Stephen Benjamin 2020-05-29 13:52:14 UTC
In BZ1841260 we refactored the NetworkManager prepender to be atomic, but also enabled `set -e`. 

We used to get a resolv.conf because the podman command in the  prepender failed and fell through to the cp of /var/run/NetworkManager/resolv.conf. This no longer happens as podman results in the script bailing, and now we never get a resolv.conf.

Comment 4 errata-xmlrpc 2020-07-13 17:42:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.